<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:37 UTC 2019 -->
<title>Uses of Class com.here.android.mpa.mapping.MapLocalModel (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class com.here.android.mpa.mapping.MapLocalModel (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../com/here/android/mpa/mapping/MapLocalModel.html" title="class in com.here.android.mpa.mapping">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../../../../../overview-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?com/here/android/mpa/mapping/class-use/MapLocalModel.html" target="_top">Frames</a></li>
<li><a href="MapLocalModel.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class com.here.android.mpa.mapping.MapLocalModel" class="title">Uses of Class<br>com.here.android.mpa.mapping.MapLocalModel</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../com/here/android/mpa/mapping/MapLocalModel.html" title="class in com.here.android.mpa.mapping">MapLocalModel</a></span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#com.here.android.mpa.mapping">com.here.android.mpa.mapping</a></td>
<td class="colLast">
<div class="block">The mapping
        package provides classes, interfaces, and enumerations that display an
        interactive map, and related functionality that allows your application
        to create and add map content.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="com.here.android.mpa.mapping">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../com/here/android/mpa/mapping/MapLocalModel.html" title="class in com.here.android.mpa.mapping">MapLocalModel</a> in <a href="../../../../../../com/here/android/mpa/mapping/package-summary.html">com.here.android.mpa.mapping</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../com/here/android/mpa/mapping/package-summary.html">com.here.android.mpa.mapping</a> that return <a href="../../../../../../com/here/android/mpa/mapping/MapLocalModel.html" title="class in com.here.android.mpa.mapping">MapLocalModel</a></span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/mapping/MapLocalModel.html" title="class in com.here.android.mpa.mapping">MapLocalModel</a></code></td>
<td class="colLast"><span class="typeNameLabel">MapLocalModel.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/mapping/MapLocalModel.html#setAnchor-com.here.android.mpa.common.GeoCoordinate-">setAnchor</a></span>(<a href="../../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> anchor)</code>
<div class="block">Sets an anchor <code>GeoCoordinate</code> for the <code>MapLocalModel</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/mapping/MapLocalModel.html" title="class in com.here.android.mpa.mapping">MapLocalModel</a></code></td>
<td class="colLast"><span class="typeNameLabel">MapLocalModel.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/mapping/MapLocalModel.html#setDynamicScalingEnabled-boolean-">setDynamicScalingEnabled</a></span>(boolean enable)</code>
<div class="block">Sets dynamic scaling to be either enabled or disabled for the <code>MapLocalModel</code>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/mapping/MapLocalModel.html" title="class in com.here.android.mpa.mapping">MapLocalModel</a></code></td>
<td class="colLast"><span class="typeNameLabel">MapLocalModel.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/mapping/MapLocalModel.html#setMesh-com.here.android.mpa.mapping.LocalMesh-">setMesh</a></span>(<a href="../../../../../../com/here/android/mpa/mapping/LocalMesh.html" title="class in com.here.android.mpa.mapping">LocalMesh</a> mesh)</code>
<div class="block">Sets a <code>LocalMesh</code> for the <code>MapLocalModel</code></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/mapping/MapLocalModel.html" title="class in com.here.android.mpa.mapping">MapLocalModel</a></code></td>
<td class="colLast"><span class="typeNameLabel">MapLocalModel.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/mapping/MapLocalModel.html#setPitch-float-">setPitch</a></span>(float angle)</code>
<div class="block">Sets a pitch value for the <code>MapLocalModel</code>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/mapping/MapLocalModel.html" title="class in com.here.android.mpa.mapping">MapLocalModel</a></code></td>
<td class="colLast"><span class="typeNameLabel">MapLocalModel.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/mapping/MapLocalModel.html#setRoll-float-">setRoll</a></span>(float angle)</code>
<div class="block">Sets a roll value for the <code>MapLocalModel</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/mapping/MapLocalModel.html" title="class in com.here.android.mpa.mapping">MapLocalModel</a></code></td>
<td class="colLast"><span class="typeNameLabel">MapLocalModel.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/mapping/MapLocalModel.html#setScale-float-">setScale</a></span>(float scale)</code>
<div class="block">Sets a scaling factor used to scale the size of the <a href="../../../../../../com/here/android/mpa/mapping/LocalMesh.html" title="class in com.here.android.mpa.mapping"><code>LocalMesh</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/mapping/MapLocalModel.html" title="class in com.here.android.mpa.mapping">MapLocalModel</a></code></td>
<td class="colLast"><span class="typeNameLabel">MapLocalModel.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/mapping/MapLocalModel.html#setTexture-com.here.android.mpa.common.Image-">setTexture</a></span>(<a href="../../../../../../com/here/android/mpa/common/Image.html" title="class in com.here.android.mpa.common">Image</a> texture)</code>
<div class="block">Sets a texture <code>Image</code> for the <code>MapLocalModel</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/mapping/MapLocalModel.html" title="class in com.here.android.mpa.mapping">MapLocalModel</a></code></td>
<td class="colLast"><span class="typeNameLabel">MapLocalModel.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/mapping/MapLocalModel.html#setYaw-float-">setYaw</a></span>(float angle)</code>
<div class="block">Sets a yaw value for the <code>MapLocalModel</code>.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../com/here/android/mpa/mapping/MapLocalModel.html" title="class in com.here.android.mpa.mapping">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../../../../../overview-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?com/here/android/mpa/mapping/class-use/MapLocalModel.html" target="_top">Frames</a></li>
<li><a href="MapLocalModel.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
